Security vulnerabilities in Apps.ed.ac.uk Citrix desktop clients

Unplanned; Complete

Overview

Affected services
  • Apps.ed.ac.uk Service
At Risk Time
09:00 AM, 07-Jul-20 — 12:00 AM, 15-Jul-20
Description
****Update**** The Citrix Client will prompt users to update their client automatically. Citrix have released a security bulletin around their desktop clients we us in the Apps.ed.ac.uk Service (https://support.citrix.com/article/CTX275460). Users should update their clients to versions: Citrix Workspace app version 1912 or later Citrix Receiver 4.9 (4.9.9002)

Technical Information

Technical Information

Work summary
Users should update their clients to versions: Citrix Workspace app version 1912 or later Citrix Receiver 4.9 (4.9.9002)
Technical summary
Security vulnerabilities in Apps.ed.ac.uk Citrix desktop clients
Affecting
Servers / Hardware
Criticality
low
Impact description
Change Reference
Additional comments

Request, Authorise and Publish

Requested by Callum Greer on 07-Jul-2020
Authorised by User Services
Publish to IS Website (Service Status and Alerts page): Yes
Published by Callum Greer


Additional Details

Risk classification
low
Risk assessment
Only affects citrix desktop clients
Other people involved
Notes for future reference